L'installeur de Debian Etch est disponible en version beta 3

Posté par . Modéré par Jaimé Ragnagna.
Tags :
0
16
août
2006
Debian
Cinq mois après la sortie de la beta 2, l'équipe du Debian installer a annoncé vendredi dernier la sortie de la troisième version beta de l'installateur. Cette version est la dernière beta avant les RC. Les images officielles de etch l'utilisent d'ores et déjà.

Les nouveautés majeures de cette version sont :
  • Une interface graphique, optionnelle, disponible pour l'instant sur les architectures i386 et AMD64 ;
  • La prise en charge des partitions chiffrées dès l'installation ;
  • Le support d'AMD64.
L'installation graphique utilise Gtk+ et DirectFB. Une version expérimentale est également fournie pour PowerPC.

Parmi les autres nouveautés, on note le passage à la version 2.6.16 du noyau, le support des terminaux braille via brltty, la possibilité d'utiliser sudo au lieu d'un mot de passe root, des améliorations sur le port sparc, et plein de nouveautés détaillées dans l'annonce et dans le guide d'installation. L'errata liste également les problèmes connus, comme la détection automatique des lecteurs CD SATA ou le changement de VT dans l'installation graphique sur AMD64.

Pour la prochaine version, la RC1, le support de l'IPv6, de SELinux, le passage au 2.6.17 et l'abandon du support du 2.4 sont prévus. Rappelons que la sortie de etch est prévue pour décembre 2006, soit dans quatre mois.

Aller plus loin

  • # Et les scrinechotes?

    Posté par (page perso) . Évalué à 6.

    Je crois que c'est le lien que tout le monde attend pour avoir une idée de la chose...
  • # Etch en décembre ?

    Posté par . Évalué à 2.

    Une petite question (sans arrière pensée, étant moi même sur Sarge) vous y croyez vous, une nouvelle Debian stable pour décembre ?
    De plus ayant croisé un des développeur au dernier Solutions Linux, il m'avait confié que la montée en puissance de Ubuntu avait provoqué un déficit en développeur chez Debian

    Bon. Bah j'vais aller voir s'il n'y a pas des bogues à ma portée ...
  • # Abandon du 2.4 ?

    Posté par . Évalué à 1.

    Je trouve ca un peu "dommage". En effet, ayant installé plusieurs Sarge sur des serveurs Dell, j'ai du me "contenter" d'un 2.4 étant donné que le controlleur Raid n'était pas reconnu avec un 2.6 (Controlleur Perc d'apres mes souvenirs). Meme probleme avec d'autre controlleur, par ex megaraid qui fonctionne tres bien en 2.4 mais pas du tout en 2.6.
    Les nouvelles versions du 2.6 gerent mieux ces controlleurs ?? Parce que sinon ca va pas etre drole...
    • [^] # Re: Abandon du 2.4 ?

      Posté par (page perso) . Évalué à 1.

      Tu as quoi comme contrôleur mega-raid ?

      J'ai installé une sarge avec un kernel 2.6 sur une machine Nec qui avait un contrôleur dans ce genre. Le seul gros problème que j'ai eu a été le changement des noms des modules entre la version de la 2.6 installée et une mise à jour plus résence...

      Au final, j'ai trouvé la solution en modifiant /etc/mkinitrd/modules, et en y mettant:
      megaraid_mm
      megaraid_mbox

      Python 3 - Apprendre à programmer en Python avec PyZo et Jupyter Notebook → https://www.dunod.com/sciences-techniques/python-3

    • [^] # Re: Abandon du 2.4 ?

      Posté par (page perso) . Évalué à 1.

      Aaaaaaaah, les joies des pilotes propriétaires. OpenBSD a eu des soucis avec le RAID pour ces raisons (manque de documentation, pilotes tous pourris, etc.).

      « OpenBSD: RAID Management in 3.8 » :
      http://kerneltrap.org/node/5649

      « 3.8: "Hackers of the Lost RAID" », la chanson :-) :
      http://openbsd.org/lyrics.html#38

      Haypo
    • [^] # Re: Abandon du 2.4 ?

      Posté par . Évalué à 2.

      le problème n'est pas que les PERC4 (controlleurs raids Dell basés sur des chipsets LSI, utilisés notamment sur les PE1850 et PE2850) ne sont pas supportés sur les noyaux 2.6, mais qu'ils ne sont pas supportés sur les 2.6.8, noyau fourni par debian sur la sarge. Le problème venait surtout, sur les premières versions du perc4, du fait que l'installer ne détectait pas qu'il fallait utiliser le module megaraid2 et non megaraid, d'après ce que j'ai pu remarquer.

      Pour les versions ultérieures du noyau (j'ai testé à partir du 2.6.12), le module à charger se nomme bien megaraid, mais il faut y adjoindre megaraid_mm et megaraid_mbox.

      D'ailleurs, le même problème survient sur les versions ultérieures du PERC, le PERC5 : il faut un noyau plus récent que ceux fournis sur la sarge pour les utiliser. Cela dit ce n'est pas un vrai problème : les noyaux backportés fonctionnent très bien, et des images d'installeur debian utilisant ces noyaux existent : http://kmuto.jp/debian/d-i/

      Sans compter, bien sûr, qu'il est possible de les créer soi-même.
  • # Debian devient comme les autres distrib ?

    Posté par . Évalué à 5.

    Cela fait maintenant bon nombre d'années que d'autres distrib gnu/linux disposent d'un installeur graphique (redhat, mandriva etc...)

    C'est seulement maintenant que debian va proposer une distrib avec un installeur graphique, c'est dire le décalage entre une distrib communautaire et une distrib commerciale.

    Une version stable ne sortirait que si elle était considérée comme prête, bon à première vue c'est encore le cas, mais depuis la sarge on remarque que debian essaye de tenir des délais, un peu comme des distrib commerciales alors que debian ne se veut pas commerciale du tout...

    J'ai l'impression que debian a fait quelques concessions pour essayer de devenir plus populaire et donc utilisée par beaucoup plus d'utilisateurs, et je trouve ça normal puisque ubuntu a non seulement volé la vedette à d'autres distrib telles que mandriva, etc...mais aussi à debian, tout ça grâce à une politique agressive de release régulière et avec des paquets à jour.

    Finalement, debian fait plus ou moins comme les l'autres mais conserve sa particularité et surtout son indépendance.

    Je n'avais pas laissé tomber debian pour ubuntu, et ce n'est pas maintenant que je vais commencer.
    • [^] # Re: Debian devient comme les autres distrib ?

      Posté par (page perso) . Évalué à 3.

      C'est seulement maintenant que debian va proposer une distrib avec un installeur graphique, c'est dire le décalage entre une distrib communautaire et une distrib commerciale.

      Bof, c'est une suite logique : sarge a donné naissance au nouvel installateur modulaire. Maitenant, il était facile de faire l'installateur graphique, donc ça a été fait. Au passage, le mode texte est un très bon installateur, utilisé d'ailleurs dans Ubuntu.

      Une version stable ne sortirait que si elle était considérée comme prête, bon à première vue c'est encore le cas, mais depuis la sarge on remarque que debian essaye de tenir des délais, un peu comme des distrib commerciales alors que debian ne se veut pas commerciale du tout...

      C'est surtout que sarge a eu beaucoup de problème pour sortir. C'etait pas comme ca avant. On peut donc considerer Sarge comme un problème de parcours, et non etch comme une distrib avec délais.
    • [^] # Re: Debian devient comme les autres distrib ?

      Posté par . Évalué à 2.

      > debian essaye de tenir des délais, un peu comme des distrib commerciales

      Si c'est par rapport à un cycle de sorti fréquent, je crois que tu fais quelques confusions.

      Regardes du côté de Red Hat :
      RHEL : commerciale : cycle de 18 mois
      FC : non-commerciale (RH se fait 0 pognon) : cycle de 6 mois

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.